package com.ruoyi.ss.article.mapper;

import com.ruoyi.ss.article.domain.Article;

import java.util.List;

/**
 * 文章Mapper接口
 *
 * @author qiuzhenzhao
 * @date 2023-12-06
 */
public interface ArticleMapper
{
    /**
     * 查询文章
     *
     * @param articleId 文章主键
     * @return 文章
     */
    public Article selectAsArticleByArticleId(Long articleId);

    /**
     * 查询文章列表
     *
     * @param etArticle 文章
     * @return 文章集合
     */
    public List<Article> selectAsArticleList(Article etArticle);

    /**
     * 查询文章列表app调用
     *
     * @param etArticle 文章
     * @return 文章集合
     */
    public List<Article> selectAsArticleListByApp(Article etArticle);

    /**
     * 新增文章
     *
     * @param etArticle 文章
     * @return 结果
     */
    public int insertAsArticle(Article etArticle);

    /**
     * 修改文章
     *
     * @param etArticle 文章
     * @return 结果
     */
    public int updateAsArticle(Article etArticle);

    /**
     * 删除文章
     *
     * @param articleId 文章主键
     * @return 结果
     */
    public int deleteAsArticleByArticleId(Long articleId);

    /**
     * 批量删除文章
     *
     * @param articleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAsArticleByArticleIds(Long[] articleIds);

}
